Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events.impl
Class SimpleManagementEvent

    java.lang.Object
      org.apache.muse.ws.dm.muws.events.impl.AbstractExtendedElements
          org.apache.muse.ws.dm.muws.events.impl.SimpleManagementEvent

All Implemented Interfaces:
  ExtendedElements, ManagementEvent, XmlSerializable

public class SimpleManagementEvent
extends AbstractExtendedElements
implements ManagementEvent

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleManagementEvent()`
`SimpleManagementEvent(org.w3c.dom.Element xml, WefFactory factory)`

Method Summary
`java.lang.String` | `getEventID()`
`Component` | `getReporter()`
`java.util.Date` | `getReportTime()`
`long` | `getSequenceNumber()`
`Situation` | `getSituation()`
`Component` | `getSource()`
`void` | `setEventID(java.lang.String eventID)`
`void` | `setReporter(Component reporter)`
`void` | `setReportTime(java.util.Date reportTime)`
`void` | `setSequenceNumber(long sequenceNumber)`
`void` | `setSituation(Situation situation)`
`void` | `setSource(Component source)`
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class org.apache.muse.ws.dm.muws.events.impl.AbstractExtendedElements
`addExtendedElement, addExtendedElement, appendExtendedElements, getExtendedElements, getExtendedElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.dm.muws.events.ExtendedElements
`addExtendedElement, addExtendedElement, getExtendedElements, getExtendedElements`

Constructor Detail

### SimpleManagementEvent

    public SimpleManagementEvent()

### SimpleManagementEvent

    public SimpleManagementEvent(org.w3c.dom.Element xml,
                                 WefFactory factory)

Method Detail

### getEventID

    public final java.lang.String getEventID()

  Specified by:
    `getEventID` in interface `ManagementEvent`

### getReporter

    public final Component getReporter()

  Specified by:
    `getReporter` in interface `ManagementEvent`

### getReportTime

    public final java.util.Date getReportTime()

  Specified by:
    `getReportTime` in interface `ManagementEvent`

### getSequenceNumber

    public final long getSequenceNumber()

  Specified by:
    `getSequenceNumber` in interface `ManagementEvent`

### getSituation

    public final Situation getSituation()

  Specified by:
    `getSituation` in interface `ManagementEvent`

### getSource

    public final Component getSource()

  Specified by:
    `getSource` in interface `ManagementEvent`

### setEventID

    public final void setEventID(java.lang.String eventID)

  Specified by:
    `setEventID` in interface `ManagementEvent`

### setReporter

    public final void setReporter(Component reporter)

  Specified by:
    `setReporter` in interface `ManagementEvent`

### setReportTime

    public final void setReportTime(java.util.Date reportTime)

  Specified by:
    `setReportTime` in interface `ManagementEvent`

### setSequenceNumber

    public final void setSequenceNumber(long sequenceNumber)

  Specified by:
    `setSequenceNumber` in interface `ManagementEvent`

### setSituation

    public final void setSituation(Situation situation)

  Specified by:
    `setSituation` in interface `ManagementEvent`

### setSource

    public final void setSource(Component source)

  Specified by:
    `setSource` in interface `ManagementEvent`

### toString

    public java.lang.String toString()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD